function Config=DSeg_initialization()
   %% Input parameters
            Config.AVIobj=[];
            Config.ImageOptimalSizeLimit=800; % Set optimal image size
            Config.FrameNum=1;
            Config.Frame=[];
            Config.PreviousFrame=[];
                        
            Config.System.PixelSpacing=160e-9; % CCD size/pixel num/Magnification (meter)
            Config.System.TimeInterval=600;  % time interval between two consecutive frames (s) 
            Config.ProcessEndFrame=1;
            Config.ProcessFrames=40;
           %% Preprocessing
            % Ĭ
            Config.PreProcessConfig.Channel=0; % 0 gray 1 R 2 G 3 B     
            % Region-of-interest
            Config.PreProcessConfig.ROI=[];
            Config.PreProcessConfig.ROI_ON='0';
            % Resize
            Config.PreProcessConfig.Resize.On=1;
            Config.PreProcessConfig.Resize.Num=1;
            % Intensity
            % invert
            Config.PreProcessConfig.InverseIntensity=1;
            % Filter
            % 1. Median
            Config.PreProcessConfig.Medfilt=0;
            Config.PreProcessConfig.KernelSize=1;
            % . Gaussian
            % Gaussian kernel
            Config.PreProcessConfig.Gaussian.On=0;
            Config.PreProcessConfig.Gaussian.KernelSize=1;
            Config.PreProcessConfig.Gaussian.Variance=1;
            Config.PreProcessConfig.Gaussian.Kernel=fspecial('gaussian',...
                    [2*Config.PreProcessConfig.Gaussian.KernelSize+1 ...
                    2*Config.PreProcessConfig.Gaussian.KernelSize+1],...
                    Config.PreProcessConfig.Gaussian.Variance);
            % . Anisotropic
            Config.PreProcessConfig.Aniso=0;
            Config.PreProcessConfig.Aniso_iteration=1;
            Config.PreProcessConfig.Aniso_step=0.1;
            Config.PreProcessConfig.Aniso_kappa=1;
            Config.PreProcessConfig.Aniso_mode=2; % 1,2 
            % Background subtraction
            Config.PreProcessConfig.Backgroundsubtraction=0;
            Config.PreProcessConfig.BackgroundsubtractionMethod='Gaussian'; % 'Gaussian' 'Gaussian Norm'
            Config.PreProcessConfig.Backgroundsub.Gaussian.KernelSize=5;
            Config.PreProcessConfig.Backgroundsub.Gaussian.Variance=3.8;
            Config.PreProcessConfig.Backgroundsub.Gaussian.Kernel=fspecial('gaussian',...
                    [2*Config.PreProcessConfig.Backgroundsub.Gaussian.KernelSize+1 ...
                     2*Config.PreProcessConfig.Backgroundsub.Gaussian.KernelSize+1],...
                     Config.PreProcessConfig.Backgroundsub.Gaussian.Variance);
            Config.PreProcessConfig.BackgroundImage=[]; % load image (not implemented)
            % Intensity
            % re-scaling 0-1
            Config.PreProcessConfig.IntensityRescaling=0; 
           %% Detection
            % Detection update parameters
            Config.DetectionConfig.Add=0;
            Config.DetectionConfig.Delete=0;
            Config.DetectionConfig.Clear=0;
            % Currect Detection Id
            Config.DetectionConfig.Current.ID=0;
            Config.DetectionConfig.Current.ApplyID=0;
            Config.DetectionConfig.Current.Frame=0;
            Config.DetectionConfig.Current.Masks=[];
            % Detect function properties
            Config.DetectionConfig.AutoSelect=0;
            % present detection
            Config.DetectionConfig.ShowMask=0;
            % ⷽ
            Config.DetectionConfig.SingleCell=1; % Always to 1;
            Config.DetectionConfig.SelectedCellList=[1:500]; % limited to 500 samples
            Config.DetectionConfig.Method.Name='Default'; %SingleCellDetection Default
            % ȫּ 
            % Զֵ
            Config.DetectionConfig.AutoThresh=1;
            Config.DetectionConfig.AutoThreshOffset=0;
            Config.DetectionConfig.AdaptiveThresh=1;
            % 
            Config.DetectionConfig.Method.SEED=[];
            Config.DetectionConfig.Method.LEVELSET_ON=1;
            
            % Cell properties (Currrect cell)
            Config.DetectionConfig.Selection=0;
            Config.DetectionConfig.ValidMask=0;
            % Distance transform
            Config.DetectionConfig.DistTransMatrix=[];
            % Mask
            Config.DetectionConfig.NoBranchWeightMagnitude=2;
            Config.DetectionConfig.NoBranchUpdateRatio=0.1;
            
            Config.DetectionConfig.UpdateMask='0';
            Config.DetectionConfig.PreviousMask=[];
            Config.DetectionConfig.CurrentMask=[];
            
            % Background update
            Config.DetectionConfig.BackgroundThreholdLevel=0.7;
            Config.DetectionConfig.BackgroundBiasWeight=0.1;
            Config.DetectionConfig.PreviousBackgroundMask=[];
            Config.DetectionConfig.CurrentBackgroundMask=[];
            Config.DetectionConfig.CurrentBackgroundMaskRatio=0.9; % adaptive k init value
            Config.DetectionConfig.CurrentBackgroundMaskRatioStep=0.02; 
            % skeleton
            Config.DetectionConfig.ShowSkeletonMask=0;
            Config.DetectionConfig.PreviousSkeletonMask=[];
            Config.DetectionConfig.SkeletonMask=[];
            
            Config.DetectionConfig.ShowSkeletonNoBranchMask=0;
            Config.DetectionConfig.PreviousSkeletonNoBranchMask=[];
            Config.DetectionConfig.SkeletonNoBranchMask=[];
            Config.DetectionConfig.SkeletonNoBranchWeight=[];
            
            % Method 
            Config.DetectionConfig.LEVELSET.Threshold=0.001;
            Config.DetectionConfig.LEVELSET.Iteration=50;
            Config.DetectionConfig.LEVELSET.GradientKernelSize=2;
            Config.DetectionConfig.LEVELSET.Istrength=0.0;
            Config.DetectionConfig.LEVELSET.Gstrength=0.8;
            Config.DetectionConfig.LEVELSET.KernelSize=1;
            Config.DetectionConfig.LEVELSET.StopCond_Pixel=3;
            Config.DetectionConfig.LEVELSET.Variance=1.8;
            Config.DetectionConfig.LEVELSET.Kernel=fspecial('gaussian',...
                    [2*Config.DetectionConfig.LEVELSET.KernelSize+1 ...
                     2*Config.DetectionConfig.LEVELSET.KernelSize+1],...
                     Config.DetectionConfig.LEVELSET.Variance);
            Config.DetectionConfig.LEVELSET.MinSplitSize=15;
            Config.DetectionConfig.LEVELSET.MaxSplitRatio=0.4;
            Config.DetectionConfig.LEVELSET.MaxMergeSize=300;
            

            Config.DetectionConfig.MinSize=3;
            Config.DetectionConfig.MaxSize=1000;
            Config.DetectionConfig.GaussianVariance=0.8;
            Config.DetectionConfig.EdgeThresh=0.2;
            
           %% persistence length
             Config.AnalysisConfig.curve_sampling_num=5;
             Config.AnalysisConfig.PersModel_cos=1;
             Config.AnalysisConfig.PersModel_mse2e=1;
             Config.AnalysisConfig.ConversionFactor=Config.System.PixelSpacing;
             Config.AnalysisConfig.Debug=0;
             Config.AnalysisConfig.ChainIntervalLength=1;
             Config.AnalysisConfig.ResultOption=1;
           %% Tracking
            Config.TrackingConfig.Method='LineModel'; % Kalman LineModel
            Config.TrackingConfig.FixedTemplate=1;
            Config.TrackingConfig.FixedTemplateSize=200;
            Config.TrackingConfig.NN.TrackingROI='Off';
            Config.TrackingConfig.NN.LocalDetection=0;
            Config.TrackingConfig.NN.ApplyRange=50;
            
            Config.TrackingConfig.NN.MaxDisplacement=100;
            Config.TrackingConfig.NN.MaxSizeDiff=20;
            Config.TrackingConfig.NN.MatchingThresh=0.1;
            
            Config.TrackingConfig.CostOfNonAssignment=10;
            
            Config.TrackingConfig.NN.AgeLine= 2;
            Config.TrackingConfig.NN.VisibilityThresholdBelowLine=1;
            Config.TrackingConfig.NN.VisibilityThresholdAboveLine=0.2;
            Config.TrackingConfig.K.MotionModel='ConstantVelocity';
            Config.TrackingConfig.K.InitialEstimateError=[1 1]*1e5;
            Config.TrackingConfig.K.MotionNoise=[Config.TrackingConfig.NN.MaxDisplacement Config.TrackingConfig.NN.MaxDisplacement*0.25];
            Config.TrackingConfig.K.MeasurementNoise=Config.TrackingConfig.NN.MaxDisplacement*0.5;

            %% File IO
            Config.OutputConfig.PathResults='Saved Data\';
            Config.OutputConfig.PathDetection=...
                strcat(Config.OutputConfig.PathResults,'Detection\');
            Config.OutputConfig.PathTracking=...
                strcat(Config.OutputConfig.PathResults,'Tracking\');
            Config.OutputConfig.WriteFrame=0;
            Config.OutputConfig.SavingFileName='Cell';
            Config.OutputConfig.PresentTrack=1;
            Config.OutputConfig.PresentID=[];
end