function Result=Func_GetCircleParaFromThreePoints(corr)
xi=corr(1,1);
yi=corr(1,2);
xj=corr(2,1);
yj=corr(2,2);
xk=corr(3,1);
yk=corr(3,2);
mu=4*((xj-xi)*(yk-yi)-(xk-xi)*(yj-yi));
if(mu~=0)
    xi2=corr(1,1)^2;
    yi2=corr(1,2)^2;
    xj2=corr(2,1)^2;
    yj2=corr(2,2)^2;
    xk2=corr(3,1)^2;
    yk2=corr(3,2)^2;
    ele1=xj2+yj2-(xi2+yi2);
    ele2=xk2+yk2-(xi2+yi2);
    A=[ele1 2*(yj-yi)
        ele2 2*(yk-yi)];
    B=[2*(xj-xi) ele1
        2*(xk-xi) ele2];
    a123=det(A)/mu;
    b123=det(B)/mu;
    Result.corr_x=a123;
    Result.corr_y=b123;
    Result.radius=sqrt((xi-a123)^2+(yi-b123)^2);
else
    Result.corr_x=0;
    Result.corr_y=0;
    Result.radius=0;
end