function JointMap=getJoiningPointS(Checkpoints,InitialPartitionMask)
[MsizeX,MsizeY]=size(InitialPartitionMask);

CCheckpoints=bwconncomp(Checkpoints);
PartitionMaskpoints=bwconncomp(InitialPartitionMask);
InitCheck=bwconncomp(InitialPartitionMask-Checkpoints);

JointMap=zeros(MsizeX,MsizeY);
if(~isempty(CCheckpoints))
    if(InitCheck.NumObjects~=PartitionMaskpoints.NumObjects)
        for i=1:CCheckpoints.NumObjects
            TestMask=InitialPartitionMask;
            TestMask(CCheckpoints.PixelIdxList{i})=0;
            Test=bwconncomp(TestMask);
            if(isempty(Test) || Test.NumObjects~=PartitionMaskpoints.NumObjects)
                for j=1:PartitionMaskpoints.NumObjects
                    if(sum(CCheckpoints.PixelIdxList{i}(1)==PartitionMaskpoints.PixelIdxList{j})>=1)
                        JointMap(PartitionMaskpoints.PixelIdxList{j})=1;
                        break;
                    end
                end
            end
        end
    end
end





