classdef CLASS_DETECT_INTERFACE_Detection < handle
  
    properties (SetAccess = protected, GetAccess = public)
        Detection=struct(...
            'Id',[],...
            'ROI', [],...
            'Centroid', [],...
            'Width',0,...
            'Length',0,...
            'Area', 0,...
            'Orientation', 0,...
            'Growingspeed', 0,...
            'Completed', 0,...
            'CurrentFrame', 0,...
            'StartFrame',0,...
            'EndFrame',0,...
            'SeedPoints',[],...
            'PixelIDs',[],...
            'Branch',[]);
        DetectionMask=[];    
    end
    
    methods (Abstract)
        Detect(obj);
        ClearDetection(obj);
        DeleteDetection(obj);
    end
end