function PartitionResults=FUNC_LEVELSET_shapeC(ImageFeature,Mask,EdgeMatrix,BiasMatrix,BiasWeight,Config)
ImageFeature = double(ImageFeature);
%% 
Threshold=Config.Threshold;
Iteration=Config.Iteration;
inerThresh=Iteration;
%%
InitialPartition=2*double(Mask)-1;
G1=Config.Kernel;
PreviouspartitionError=0;
for n = 1:Iteration
 
    SumofFeatureBackground = sum(sum(ImageFeature.*(InitialPartition<0)))/(sum(sum(InitialPartition<0)));
    SumofFeatureForeground = sum(sum(ImageFeature.*(InitialPartition>=0)))/(sum(sum(InitialPartition>=0))); 
    FeatureDirection = ImageFeature - (SumofFeatureBackground + SumofFeatureForeground)/2;
    FeatureDirection=2*double(FeatureDirection>0)-1;
    [ux, uy] = gradient(InitialPartition);
    Contour=2*double(sqrt(ux.^2 + uy.^2)>0);    
    InitialPartitionCheck = InitialPartition+ EdgeMatrix.*Contour.*FeatureDirection-BiasWeight*BiasMatrix;
    % Partition to be checked
    InitialPartitionCheck =  2*double(InitialPartitionCheck >= 0) -1;
    InitialPartitionCheck = imfilter(InitialPartitionCheck,G1, 'replicate','same'); % Noise reduction
    InitialMask=InitialPartitionCheck>0;
    
    CurrentPartitionError=sum(InitialMask(:));
    TotalErrorDifference(n)=abs(CurrentPartitionError-PreviouspartitionError)/(CurrentPartitionError+eps);
    if (TotalErrorDifference(n)<=Threshold)
        InitialPartition = InitialMask+InitialMask-1;break;
    end
    if (n>inerThresh)
        TotalErrorSTDDifference(n-inerThresh)=std(TotalErrorDifference(n-inerThresh:n));
        if(n>inerThresh+1 && TotalErrorSTDDifference(n-inerThresh)-TotalErrorSTDDifference(n-inerThresh-1)<=Threshold)
            InitialPartition = InitialMask+InitialMask-1;break;
        end
    end
    PreviouspartitionError=CurrentPartitionError;
    InitialPartition = InitialMask+InitialMask-1;

end
PartitionResults=InitialPartition>0;
end
