function XdataOut=findOutlier(Xdata,outlier_diffValue)
    outlier_list=[];
    outlier_i=1;
    for i=2:length(Xdata)-1
       if((abs(Xdata(i)-Xdata(i+1))+abs(Xdata(i)-Xdata(i-1)))/2>outlier_diffValue)
            outlier_list(outlier_i)=i;
            outlier_i=outlier_i+1;
       end
    end
    
    % cubic spline interpolation
    x=1:length(Xdata);
    xq=x;
    x(outlier_list)=[];
    y=Xdata;
    y(outlier_list)=[];
    XdataOut = spline(x,y,xq);
    XdataOut=XdataOut';
end