function [distribution_prop,Weight]=getImageintensityhist_DistributionProp(image,Seed_mask,BackgroundRange)
EdgeMask=xor(Seed_mask,bwmorph(Seed_mask,'dilate',BackgroundRange));
LocalBackgroundValuesList=image(EdgeMask);
LocalBackgroundlistSize=length(LocalBackgroundValuesList);
if(LocalBackgroundlistSize>1)
    distribution_prop{1}.mu=mean(LocalBackgroundValuesList);
    distribution_prop{1}.sigma=sqrt(sum((LocalBackgroundValuesList-distribution_prop{1}.mu).^2)/(LocalBackgroundlistSize-1));
else
    if(LocalBackgroundlistSize==0)
        distribution_prop{1}.mu=0;
        distribution_prop{1}.sigma=0;
    else
        distribution_prop{1}.mu=LocalBackgroundValuesList(1);
        distribution_prop{1}.sigma=0;
    end
end
    
ObjectValuesList=image(logical(Seed_mask));
ObjectValuesListSize=length(ObjectValuesList);

if(ObjectValuesListSize>1)
    distribution_prop{2}.mu=mean(ObjectValuesList);
    distribution_prop{2}.sigma=sqrt(sum((ObjectValuesList-distribution_prop{2}.mu).^2)/(ObjectValuesListSize-1));
else
    if(ObjectValuesListSize==0)
        distribution_prop{2}.mu=0;
        distribution_prop{2}.sigma=0;
    else
        distribution_prop{2}.mu=ObjectValuesList(1);
        distribution_prop{2}.sigma=0;
    end
end

objW=sum(Seed_mask==1);
edgeW=sum(EdgeMask==1);
Weight(1)=edgeW/(objW+edgeW);
Weight(2)=objW/(objW+edgeW);

