classdef save2video 
    properties (SetAccess = protected, GetAccess = public)
        video_name=[];
        video_type=[];
        video_inst=[];
    end
    
    methods
        function obj=save2video(varargin)
            nVarargs = length(varargin);
            if(nVarargs-1>1)
                for k = 1:nVarargs-1
                    if(strcmpi(varargin{k},'Name'))
                        check_var = exist(fileparts(varargin{k+1}));
                        if(check_var~=0)
                            obj.video_name=varargin{k+1};
                            k=k+1;
                        end
                    end
                    if(strcmpi(varargin{k},'Profile'))
                            obj.video_type=varargin{k+1};
                            k=k+1;
                    end
                end
            end
            if(~isempty(obj.video_name))
                obj.video_inst=VideoWriter(obj.video_name,obj.video_type);
                disp(obj.video_inst.VideoCompressionMethod);
                open(obj.video_inst);
            end
        end
        
        function obj=step(obj,Frame)
            writeVideo(obj.video_inst,Frame);
        end
        
        function obj=close(obj)
            close(obj.video_inst);
        end
        
    end
end